#include"../../Maid/Auxiliary/FileIO/CFileRead.h"
#include"../../Maid/Auxiliary/FileIO/CFileWrite.h"

using namespace Maid;

//	FileIO.exe と同じディレクトリにある FileSample.txt を表示してみるテスト
//	デバッガから起動する場合はプロジェクトのパスを通すこと

void main()
{
	const mstring FilePath = MAIDTEXT("FileIO_Sample.txt");

	printf( "基本的な使い方\n" );
	{

		MySTL::vector<char> buf(50*1024);
	
		CFileRead hFile;

		hFile.Open( FilePath );	//	開いて
		hFile.Read( &(buf[0]), hFile.GetSize() );	//	読み取る

		printf( "%s", &(buf[0]) );

		// hFile.Close()		//	デストラクタで閉じてくれるので、書かなくてもいい
	}


	printf( "めんどくさい時の使い方\n" );
	{
		MySTL::string buf;

		CFileRead::Read( FilePath, buf );

		printf( "%s", buf.c_str() );
	}

	printf( "ファイルの書き込み\n" );
	{
		MySTL::string dat = "hogehoge";
		CFileWrite hFile;

		hFile.Open( MAIDTEXT("write") + FilePath, CFileWrite::OPENOPTION_NEW );
		hFile.Write( dat.c_str(), (int)dat.size() );

		// hFile.Close()		//	デストラクタで閉じてくれるので、書かなくてもいい
	}


}

